#include <usbdrv.h>
#include <Keyboard.h>

const int buttonw = PIN_PC1;  
const int buttons = PIN_PC3;
const int buttonenter = PIN_PC2;  
const int buttonesc = PIN_PC4;

usbMsgLen_t usbFunctionSetup(uint8_t data[8])
{
  usbRequest_t *rq = (usbRequest_t*)data;
  while(1){
    if(digitalRead(buttonw) == HIGH){
    Keyboard.press('w');
    delay(100);
    Keyboard.releaseAll();
  }
  if(digitalRead(buttons) == HIGH){
    Keyboard.press('s');
    delay(100);
    Keyboard.releaseAll();
  }
  if(digitalRead(buttonenter) == HIGH){
    Keyboard.press(KEY_ENTER);
    delay(100);
    Keyboard.releaseAll();
  }
  if(digitalRead(buttonenter) == HIGH){
    Keyboard.press(KEY_ESC);
    delay(100);
    Keyboard.releaseAll();
  }
  delay(100)
  }

void setup(){
  pinMode(buttonw, INPUT);
  pinMode(buttons, INPUT);
  pinMode(buttonenter, INPUT);
  pinMode(buttonesc, INPUT);
  Keyboard.begin();
  usbInit();
  usbDeviceDisconnect();
  delay(300);
  usbDeviceConnect();
}

void loop(){
  usbPoll();
}